petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMNetworkSetSizes

Sets the number of subnetworks, local and global vertices and edges for each subnetwork.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSetSizes(DM dm,PetscInt Nsubnet,PetscInt nV[], PetscInt nE[],PetscInt NsubnetCouple,PetscInt nec[])

Collective on dm

### Input Parameters

| dm | - the dm object
| Nsubnet | - global number of subnetworks
| nV | - number of local vertices for each subnetwork
| nE | - number of local edges for each subnetwork
| NsubnetCouple | - global number of coupling subnetworks
| nec | - number of local edges for each coupling subnetwork

You cannot change the sizes once they have been set. nV, nE are arrays of length Nsubnet, and nec is array of length NsubnetCouple.

### See Also

DMNetworkCreate()

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages